package net.saltymc.eaa;

import net.saltymc.eaa.commands.*;

import net.saltymc.eaa.util.io.PropertieLoader;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import net.fabricmc.api.ClientModInitializer;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

import java.util.Properties;

@Environment(EnvType.CLIENT)
public final class EaaMod implements ClientModInitializer {

	private static final String SETTINGS_FILE_NAME = "settings.properties";

	public static final Logger LOGGER = LogManager.getLogger("EAA-MOD");
	private static Properties settings;

	public static Logger getLogger() {
		return LOGGER;
	}

	public static Properties getSettings(){
		if (settings == null)
			settings = PropertieLoader.loadProperties(SETTINGS_FILE_NAME);

		return settings;
	}

	@Override
	public void onInitializeClient() {

		//Register Commands
		new EchoCommand();
		new TagCommand();
		new CheckPlayerCommand();
		new CheckLobbyCommand();
		new ReloadCommand();

	}
}
